-- adCreatedDate is missed in database OSCAR - in this case
USE [OSCAR]
GO
BEGIN TRANSACTION
GO
ALTER TABLE [dbo].[Users] DROP CONSTRAINT [UK_73833F0F_Users]
GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS OFF
GO
CREATE TABLE [dbo].[Users_7036AEDD] (
	[anUserID] int IDENTITY(1, 1) NOT NULL,
	[acUserName] nvarchar(30) NOT NULL,
	[acFullName] nvarchar(30) NULL,
	[acPassword] nvarchar(30) NULL,
	[adLastAccess] datetime NULL,
	[acActive] nvarchar(1) NULL,
	[anAccessCount] int NULL,
	[acSubject] nvarchar(30) NULL,
	[adCreatedDate] datetime NULL
)
GO
ALTER TABLE [dbo].[Users_7036AEDD] ADD CONSTRAINT [tmp_PK_Users] PRIMARY KEY CLUSTERED ([anUserID] ASC)
GO
SET IDENTITY_INSERT [dbo].[Users_7036AEDD] ON
GO
INSERT INTO [dbo].[Users_7036AEDD] ([anUserID] , [acUserName] , [acFullName] , [acPassword] , [adLastAccess] , [acActive] , [anAccessCount] , [acSubject] )
SELECT [anUserID] , [acUserName] , [acFullName] , [acPassword] , [adLastAccess] , [acActive] , [anAccessCount] , [acSubject] FROM [dbo].[Users]
GO
SET IDENTITY_INSERT  [dbo].[Users_7036AEDD] OFF
GO
IF EXISTS (SELECT * FROM sysobjects WHERE id = object_id(N'[dbo].[Users]') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
DROP TABLE [dbo].[Users]
GO
sp_rename 'dbo.Users_7036AEDD', 'Users', 'OBJECT'
GO
sp_rename 'dbo.tmp_PK_Users', 'PK_Users', 'OBJECT'
GO
ALTER TABLE [dbo].[Users] ADD CONSTRAINT [UK_73833F0F_Users] UNIQUE NONCLUSTERED ([acUserName] ASC) 
GO
IF ( @@TRANCOUNT > 0 ) COMMIT TRANSACTION
GO
